Page MenuHomePhabricator

Migrate "analytics-*" jobs to Jenkins Job Builder
Closed, ResolvedPublic

Description

We have a bunch of Jenkins job I have created a long time ago but that have disappeared from JJB config. I think I removed them to let analytics team manually tweak them as needed from Jenkins directly.

Need to find the old patch and bring them back in JJB. The jobs are:

These are triggered from live Zuul config, but not sourced in Jenkins Job Builder config.

Event Timeline

hashar created this task.Apr 29 2015, 9:39 AM
hashar raised the priority of this task from to Low.
hashar updated the task description. (Show Details)
hashar added subscribers: JanZerebecki, hashar, zeljkofilipin and 3 others.
Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:56 PM

@hashar I'm wondering can we delete analytics-libanon test, since that repo hasent had a patch since 2012 please.

I've found a new tool https://github.com/ktdreyer/jenkins-job-wrecker that will make the seemless, needs a jenkins admin to run the request though.

Repo Last change
analytics/libanonDec 2012
analytics/udp-filtersMay 2013
analytics/webstatscollectorDec 2014
analytics/wikistatsFebruary 2017

So I will just drop the first three and port the analytics-wikistats job to JJB.

Change 345334 had a related patch set uploaded (by Hashar):
[integration/config@master] Drop obsolete analytics repositories from Zuul

https://gerrit.wikimedia.org/r/345334

Change 345334 merged by jenkins-bot:
[integration/config@master] Drop obsolete analytics repositories from Zuul

https://gerrit.wikimedia.org/r/345334

Change 345343 had a related patch set uploaded (by Hashar):
[integration/config@master] Import analytics-wikistats job

https://gerrit.wikimedia.org/r/345343

Change 345343 merged by jenkins-bot:
[integration/config@master] Import analytics-wikistats job

https://gerrit.wikimedia.org/r/345343

hashar closed this task as Resolved.Mar 29 2017, 2:04 PM
hashar claimed this task.